import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

import java.util.List;
import java.util.ArrayList;
/**
 * Carnivore. A Carnivore moves forward until it can't do so anymore, at
 * which point it turns left. If a Carnivore finds a Frog, it eats it.
 * 
 * @author Michael Kolling
 * @version 1.0.1
 */
public class Carnivore extends Actor
{
    private int FrogsEaten;

    public Carnivore()
    {
        FrogsEaten = 0;
    }

    /**
     * Do whatever the Carnivore likes to to just now.
     */
    public void act()
    {
        if(foundFrog()) {
            eatFrog();
        }
    }

    /**
     * Check whether there is a Frog in the same cell as we are.
     */
    public boolean foundFrog()
    {
        Actor Frog = getOneObjectAtOffset(0, 0, Frog.class);
        if(Frog != null) {
            return true;
        }
        else {
            return false;
        }
    }
    
    /**
     * Eat a Frog.
     */
    public void eatFrog()
    {
        Actor Frog = getOneObjectAtOffset(0, 0, Frog.class);
        if(Frog != null) {
            // eat the lea...
            getWorld().removeObject(Frog);
            FrogsEaten = FrogsEaten + 1; 
        }
    }
   
    /**
     * Tell how many Frogs we have eaten.
     */
    public int getFrogsEaten()
    {
        return FrogsEaten;
    }
}